<div *ngIf="show" class="row">
  <div class="text-center col-md-12">
    <div *ngIf="!authenticationService.isAdmin; else elseBlock">
      <app-title [title]="'Menu de la semaine'"></app-title>
      Les commandes sont disponnible jusqu'à {{configuration.limite}} aujourd'hui
    </div>
    <!-- <ng-template >Vous pouvez administrer les plats du jour</ng-template> -->
    <ng-template #elseBlock>
      <app-title [title]="'Configuration du menu de la semaine'"></app-title>
      <h5>Vous pouvez administrer les plats du jour</h5>
      <form [formGroup]="addPlatForm" (ngSubmit)="addPlat()">
      <div class="mt-4 md-form row">
        
          <div class="col-4 offset-2">
            <input mdbInput formControlName="name" type="text" class="form-control">
            <label for="name" class="text-purple">Nom du plat</label>
            <span *ngIf="submitted && f.name.hasError('required')">Le nom est obligatoire</span>
            <span *ngIf="submitted && f.price.hasError('pattern')">Le nom doit être valide</span>
          </div>
          <div class="col-4">
            <button [disabled]="!addPlatForm.valid" class="mt-3 btn btn-grey" type="submit"
              mdbWavesEffect>Ajouter</button>
          </div>
      </div>
    </form>
    </ng-template>
  </div>
  <div *ngFor="let day of arraySemaine; let i = index" class="col-md-4" [ngClass]="{'offset-md-2': i==3}">
    <app-plat-jour [jour]="day" [platsList]="arrayPlats"></app-plat-jour>
  </div>
</div>
